Go
package example
import (
context "context"
client "github.com/auth0/go-auth0/management/management/client"
factors "github.com/auth0/go-auth0/management/management/guardian/factors"
option "github.com/auth0/go-auth0/management/management/option"
)
func do() {
client := client.NewClient(
option.WithToken(
"<token>",
),
)
request := &factors.SetGuardianFactorSmsTemplatesRequestContent{
EnrollmentMessage: "enrollment_message",
VerificationMessage: "verification_message",
}
client.Guardian.Factors.Sms.SetTemplates(
context.TODO(),
request,
)
}import { ManagementClient } from "auth0";
async function main() {
const client = new ManagementClient({
token: "<token>",
});
await client.guardian.factors.sms.setTemplates({
enrollmentMessage: "enrollment_message",
verificationMessage: "verification_message",
});
}
main();import { ManagementClient } from "auth0";
async function main() {
const client = new ManagementClient({
token: "<token>",
});
await client.guardian.factors.sms.setTemplates({
enrollmentMessage: "enrollment_message",
verificationMessage: "verification_message",
});
}
main();curl --request PUT \
--url https://{tenantDomain}/api/v2/guardian/factors/sms/templates \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"enrollment_message": "{{code}} is your verification code for {{tenant.friendly_name}}. Please enter this code to verify your enrollment.",
"verification_message": "{{code}} is your verification code for {{tenant.friendly_name}}"
}
'import requests
url = "https://{tenantDomain}/api/v2/guardian/factors/sms/templates"
payload = {
"enrollment_message": "{{code}} is your verification code for {{tenant.friendly_name}}. Please enter this code to verify your enrollment.",
"verification_message": "{{code}} is your verification code for {{tenant.friendly_name}}"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)
{
"enrollment_message": "{{code}} is your verification code for {{tenant.friendly_name}}. Please enter this code to verify your enrollment.",
"verification_message": "{{code}} is your verification code for {{tenant.friendly_name}}"
}Update SMS enrollment and verification templates
This endpoint has been deprecated. To complete this action, use the Update enrollment and verification phone templates endpoint instead.
Previous functionality: Customize the messages sent to complete SMS enrollment and verification.
PUT
https://{tenantDomain}/api/v2
/
guardian
/
factors
/
sms
/
templates
Go
package example
import (
context "context"
client "github.com/auth0/go-auth0/management/management/client"
factors "github.com/auth0/go-auth0/management/management/guardian/factors"
option "github.com/auth0/go-auth0/management/management/option"
)
func do() {
client := client.NewClient(
option.WithToken(
"<token>",
),
)
request := &factors.SetGuardianFactorSmsTemplatesRequestContent{
EnrollmentMessage: "enrollment_message",
VerificationMessage: "verification_message",
}
client.Guardian.Factors.Sms.SetTemplates(
context.TODO(),
request,
)
}import { ManagementClient } from "auth0";
async function main() {
const client = new ManagementClient({
token: "<token>",
});
await client.guardian.factors.sms.setTemplates({
enrollmentMessage: "enrollment_message",
verificationMessage: "verification_message",
});
}
main();import { ManagementClient } from "auth0";
async function main() {
const client = new ManagementClient({
token: "<token>",
});
await client.guardian.factors.sms.setTemplates({
enrollmentMessage: "enrollment_message",
verificationMessage: "verification_message",
});
}
main();Autorisations
bearerAuthoAuth2ClientCredentials
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Corps
application/jsonapplication/x-www-form-urlencoded
enrollment_message
string
défaut:{{code}} is your verification code for {{tenant.friendly_name}}. Please enter this code to verify your enrollment.
requis
Message sent to the user when they are invited to enroll with a phone number.
verification_message
string
défaut:{{code}} is your verification code for {{tenant.friendly_name}}
requis
Message sent to the user when they are prompted to verify their account.
Réponse
SMS enrollment and verification templates successfully updated.
enrollment_message
string
défaut:{{code}} is your verification code for {{tenant.friendly_name}}. Please enter this code to verify your enrollment.
requis
Message sent to the user when they are invited to enroll with a phone number.
verification_message
string
défaut:{{code}} is your verification code for {{tenant.friendly_name}}
requis
Message sent to the user when they are prompted to verify their account.
Cette page vous a-t-elle été utile ?
Get SMS enrollment and verification templates
Précédent
Update multi-factor authentication type
Suivant
⌘I